Stimulsoft Reports

Reporting-Tool für Vue.js

Einbettbare Komponenten zum Erstellen, Anzeigen und Exportieren von Berichten in Anwendungen, die mit dem Vue.js-Framework entwickelt wurden. Kompatibel mit Vue 3+ und .NET Core 6/8/10. Der Berichtsgenerator ist mit Blick auf die Vue-Architektur konzipiert und gewährleistet eine nahtlose Integration in Ihr Projekt.

Reporting für Vue.js-Projekte

Erstellen Sie professionelle Berichte und Dashboards direkt in Ihren Vue‑Anwendungen. Der Berichtsgenerator von Stimulsoft bietet alle notwendigen Werkzeuge zur Visualisierung von Daten und zur Gestaltung von Dokumenten. Die integrierten interaktiven Komponenten machen die Arbeit mit Berichten für Endanwender bequem und anschaulich.

Wird geladen...

Installation und Schnellstart

Installieren Sie die erforderlichen npm-Pakete in nur wenigen Minuten und fügen Sie nur ein paar Codezeilen hinzu, um den Berichtsgenerator in Ihr Vue.js-Projekt zu integrieren. Die Komponenten sind sofort einsatzbereit, unterstützen Vue 3+ und können über vertraute Mechanismen – Props, Events und Slots – konfiguriert werden. Beginnen Sie sofort mit der Berichterstellung, ohne Zeit für eine aufwändige Einrichtung zu verschwenden.
bash
npm install stimulsoft-viewer-vue
dotnet add package Stimulsoft.Reports.Vue

Interaktive Berichtsansicht

Betten Sie fertige Berichte mit einer speziellen Viewer-Komponente in Ihre Vue-Anwendung ein. Sie unterstützt vollständige Interaktivität, aktualisiert den Inhalt bei Datenänderungen und lässt sich einfach über Parameter und Ereignisse steuern. Der integrierte Viewer fügt sich nahtlos in die Anwendungsoberfläche ein und bietet den Benutzern alle notwendigen Werkzeuge für die Arbeit mit Berichten.
App.vue
<script setup lang="ts">
import { StimulsoftViewer } from 'stimulsoft-viewer-vue';
</script>

<template>
    <StimulsoftViewer
        request-url="/Viewer/{action}"
        action="InitViewer"
        height="100vh"
    />
</template>

Export in gängige Formate

Exportieren Sie fertige Berichte in die gängigsten Formate: PDF, Excel, Word, HTML, CSV, JSON, XML und andere. Die Exportfunktionalität ist direkt aus Ihrer Vue‑Anwendung über die integrierte Komponenten‑API verfügbar. Passen Sie die Exportparameter an, behalten Sie Struktur und Formatierung bei – das Ergebnis entspricht stets Ihren Anforderungen.
App.vue
<script setup lang="ts">
import { ref } from 'vue';
import { StimulsoftViewer } from 'stimulsoft-viewer-vue';
import type { StimulsoftViewerHandle } from 'stimulsoft-viewer-vue';

const viewerRef = ref<StimulsoftViewerHandle | null>(null);

const exportToPdf = () => {
    if (viewerRef.value)
        viewerRef.value.export('Pdf', { ImageResolution: 200 });
};
</script>

<template>
        <input type="button" @click="exportToPdf" value="Export to PDF" />
</template>

Berichtsverarbeitung auf der ASP.NET‑Serverseite

Der serverseitige Teil des Berichtsgenerators für Vue.js läuft auf der ASP.NET‑Plattform. Alle ressourcenintensiven Prozesse – Vorlagenladen, Rendering, Datenaufbereitung und Export – werden auf dem Server ausgeführt. Dies entlastet die Client‑Seite von Vue‑Anwendungen und beschleunigt die Arbeit mit Berichten. Die Serverkomponente lässt sich einfach über Standard‑APIs integrieren und ist mit .NET 6, 8, 10 und neuer kompatibel, was Stabilität in jedem Projekt gewährleistet.
ViewerController.cs
using Microsoft.AspNetCore.Mvc;
using Stimulsoft.Report;
using Stimulsoft.Report.Vue;

[Controller]
public class ViewerController : Controller
{

    [HttpPost]
    public IActionResult InitViewer()
    {
        var requestParams = StiVueViewer.GetRequestParams(this);

        var options = new StiVueViewerOptions();
        options.Actions.GetReport = "GetReport";
        options.Actions.ViewerEvent = "ViewerEvent";

        return StiVueViewer.ViewerDataResult(requestParams, options);
    }

    [HttpPost]
    public IActionResult GetReport()
    {
        var report = StiReport.CreateNewReport();
        var path = StiVueHelper.MapPath(this, "Reports/MasterDetail.mrt");
        report.Load(path);

        return StiVueViewer.GetReportResult(this, report);
    }
}
Designer

Designer für die Erstellung von Berichten, Dashboards und Formularen

Der Stimulsoft Designer ist das Hauptwerkzeug für die visuelle Gestaltung von Berichten in Vue‑Anwendungen. Binden Sie Daten aus beliebigen Quellen ein – SQL, NoSQL, Cloud‑Speicher, Dateisysteme und mehr.

Nutzen Sie über 80 Diagrammtypen, einschließlich 3D‑Visualisierung, integrierte Barcodes, interaktive Elemente, Ereignisse und vieles mehr. Der Designer kann als eigenständige Desktop‑Anwendung betrieben, in Ihre Vue‑App eingebettet oder direkt im Browser gestartet werden.

Stimulsoft

Reports.WEB

Stimulsoft Reports für Vue.js ist Teil des Produkts Stimulsoft Reports.WEB – einer plattformübergreifenden Tool-Suite zur Berichterstellung mit ASP.NET, ASP.NET MVC, .NET, Angular, Blazor, React und Vue.js. Sie umfasst eine leistungsstarke und schnelle Reporting-Engine auf Basis der universellen .NET-Plattform, einen benutzerfreundlichen HTML5-Berichtsdesigner sowie einen interaktiven und leistungsstarken HTML5-Berichtsviewer.

Was kommt als Nächstes?

Wir haben viele Berichts- und Dashboards-Vorlagen, die nach den Verwendungsbereichen gruppiert werden, vorbereitet. Sie können Ihre Daten verbinden und nach Ihren Erfordernissen ändern. Unsere Benutzer-Anleitungen und technische Dokumentation helfen Ihnen die Daten-Analytik und Visualisierung schneller und mehr effizient zu machen. Außerdem, Sie können die Schulungen mit unseren Fachleuten bestellen und unseren YouTube-Kanal abonnieren, um immer aktuellste Videos zu erhalten.
Training Courses

Schulungen

Stehen Sie vor den Schwierigkeiten? Kein Problem! Diese E-Mail-Adresse ist vor Spambots geschützt! Zur Anzeige muss JavaScript eingeschaltet sein. und fragen für Schulungen an - unsere Fachleute sind immer bereit zu helfen.
Videos

Videostunden

Wir haben viele Videomaterials über Entwickeln von Berichten und Dashboards vorbereitet. Alle Anleitungen sind nach spezifischen Themen gruppiert und werden regelmäßig aktualisiert und ergänzt.
Documentation

Documentation

Die Dokumentation beschreibt ausführlich sowohl die allgemeinen Möglichkeiten der Software, als auch die Besonderheiten der Einstellungen der Berichtskomponenten.
Documentation

Codebeispiele

Bewerten Sie die Projekt-Beispiele und Berichtsvorlage für die Arbeit mit unseren Berichtstools. Auch können Sie diese Beispiele auf GitHub erforschen und herunterladen.
By using this website, you agree to the use of cookies for analytics and personalized content. Cookies store useful information on your computer to help us improve efficiency and usability. For more information, please read the privacy policy and cookie policy.

Stimulsoft Reports

Reporting-Tool für React

Plattformübergreifendes Reporting-Toolkit, das für den Einsatz mit der React-Bibliothek entwickelt wurde. Unsere Lösung ist mit React 16.8 und höher kompatibel, einschließlich der aktuellen React-Version, und bietet alles, was Sie zum Erstellen, Bearbeiten, Anzeigen und Exportieren von Berichten benötigen. Die Serverseite des Produkts verwendet  ASP.NET MVC und .NET.

Professionelles Reporting

Erstellen Sie professionelle Berichte jeder Komplexität – schnell, intuitiv und mit sofortiger Vorschau der Ergebnisse.

Loading...

Installation

Schnellstart in wenigen Minuten und mit nur wenigen Codezeilen. Laden Sie die Pakete über NuGet oder npm herunter und integrieren Sie einen Berichtsgenerator für React mühelos in Ihre Anwendung. Erstellen, anzeigen und exportieren Sie interaktive Berichte mit einem leistungsstarken Berichtsdesigner und Komponenten zur Datenvisualisierung.
App.tsx
npm install stimulsoft-viewer-react
dotnet add package Stimulsoft.Reports.React

Berichte anzeigen

Einfaches Anzeigen von Berichten in Ihrer Anwendung. Der integrierte React Report Viewer ermöglicht eine schnelle und komfortable Anzeige von Berichten direkt in Ihrer Webanwendung. Nutzen Sie interaktive Navigation, Suche, Zoomfunktionen und den Export von Berichten für eine optimale Benutzererfahrung.
ClientApp/src/App.tsx
import React from 'react';
import { StimulsoftViewer } from 'stimulsoft-viewer-react';

export const App: React.FC = () => {
    return (
        <StimulsoftViewer
        requestUrl="/Viewer/{action}"
        action="InitViewer"
        height="100vh"
        />
    )
}

Export

Exportieren Sie Berichte in PDF, Excel, Word, HTML, CSV, XML, JSON, RTF, OpenDocument, Textdateien sowie in Bildformaten wie PNG, JPEG, BMP, TIFF und SVG. Nutzen Sie React-Reporting-Komponenten, um professionelle Berichte für jede Geschäftsanwendung zu erstellen, anzuzeigen und zu exportieren.
ClientApp/src/App.tsx
import React, { useRef } from 'react';
import { StimulsoftViewer, StimulsoftViewerHandle }
    from 'stimulsoft-viewer-react';

export const App: React.FC = () => {
    const viewerRef = useRef<StimulsoftViewerHandle>(null);

    return (
        <div>
            <input
                type="button"
                onClick={() => { if (viewerRef.current)
                    viewerRef.current.export('Pdf',
                        { ImageResolution: 200 }); }}
                value="Export to PDF"
            />
        </div>
    );
};

Viewer Controller – ASP.NET-Backend

Die Serverseite des Reporting-Tools für React basiert auf ASP.NET und läuft unter Windows, macOS und Linux. Der vollständige Funktionsumfang der Reporting-Engine, das Laden von .mrt-Vorlagen, das Rendern sowie der Export werden serverseitig ausgeführt. Unterstützt werden .NET 6, .NET 8, .NET 10 und höhere Versionen.
ClientApp/src/App.tsx
using Microsoft.AspNetCore.Mvc;
using Stimulsoft.Report;
using Stimulsoft.Report.React;

namespace Integrating_the_Report_Viewer_into_an_Application.Controllers
{
    [Controller]
    public class ViewerController : Controller
    {
        static ViewerController()
        {
            // How to Activate
            //Stimulsoft.Base.StiLicense.Key = "6vJhGtLLLz2GNviWmUTrhSqnO...";
            //Stimulsoft.Base.StiLicense.LoadFromFile("license.key");
            //Stimulsoft.Base.StiLicense.LoadFromStream(stream);
        }

        [HttpPost]
        public IActionResult InitViewer()
        {
            var requestParams = StiReactViewer.GetRequestParams(this);

            var options = new StiReactViewerOptions();
            options.Actions.GetReport = "GetReport";
            options.Actions.ViewerEvent = "ViewerEvent";
            options.Toolbar.ShowPinToolbarButton = false;
            options.Appearance.ScrollbarsMode = true;

            return StiReactViewer.ViewerDataResult(requestParams, options);
        }

        [HttpPost]
        public IActionResult GetReport()
        {
            var report = StiReport.CreateNewReport();
            var path = StiReactHelper.MapPath(this, $"Reports/MasterDetail.mrt");
            report.Load(path);

            return StiReactViewer.GetReportResult(this, report);
        }

        [HttpPost]
        public IActionResult ViewerEvent()
        {
            return StiReactViewer.ViewerEventResult(this);
        }
    }
}
Designer

Ihr wichtigstes Tool – der Designer für Berichte, Dashboards und Formulare

Der Stimulsoft Designer ist das zentrale Werkzeug der Ökosystems für die professionelle Erstellung von Berichten, Dashboards, PDF-Formularen und Datenvisualisierungen – ohne überflüssigen Aufwand. Alles, was Sie brauchen – Datenanbindung, Berechnungen, Gruppierungen, visuelle Gestaltung – ist in einem einzigen Arbeitsbereich vereint.

Die Oberfläche ist in 40 Sprachen verfügbar, läuft auf jedem Betriebssystem und im Browser und macht die Berichtsentwicklung auf jeder Plattform komfortabel. Die Assistenten für den schnellen Einstieg und die fertigen Vorlagen helfen Ihnen, sofort von der Idee zum fertigen Dokument zu gelangen und beschleunigen die Erstellung interaktiver Berichte für jede Geschäftsanforderung.

Stimulsoft

Reports.WEB

Stimulsoft Reports für React ist Teil des Produkts Stimulsoft Reports.WEB – einer plattformübergreifenden Tool-Suite zur Berichterstellung mit ASP.NET, ASP.NET MVC, Angular, Blazor, React und Vue.js. Sie umfasst eine leistungsstarke und schnelle Reporting-Engine auf Basis der universellen .NET-Plattform, einen benutzerfreundlichen HTML5-Berichtsdesigner sowie einen interaktiven und leistungsstarken HTML5-Berichtsviewer.

Was kommt als Nächstes?

Wir haben viele Berichts- und Dashboards-Vorlagen, die nach den Verwendungsbereichen gruppiert werden, vorbereitet. Sie können Ihre Daten verbinden und nach Ihren Erfordernissen ändern. Unsere Benutzer-Anleitungen und technische Dokumentation helfen Ihnen die Daten-Analytik und Visualisierung schneller und mehr effizient zu machen. Außerdem, Sie können die Schulungen mit unseren Fachleuten bestellen und unseren YouTube-Kanal abonnieren, um immer aktuellste Videos zu erhalten.
Training Courses

Schulungen

Stehen Sie vor den Schwierigkeiten? Kein Problem! Diese E-Mail-Adresse ist vor Spambots geschützt! Zur Anzeige muss JavaScript eingeschaltet sein. und fragen für Schulungen an - unsere Fachleute sind immer bereit zu helfen.
Videos

Videostunden

Wir haben viele Videomaterials über Entwickeln von Berichten und Dashboards vorbereitet. Alle Anleitungen sind nach spezifischen Themen gruppiert und werden regelmäßig aktualisiert und ergänzt.
Documentation

Dokumentation

Die Dokumentation beschreibt ausführlich sowohl die allgemeinen Möglichkeiten der Software, als auch die Besonderheiten der Einstellungen der Berichtskomponenten.
Documentation

Codebeispiele

Bewerten Sie die Projekt-Beispiele und Berichtsvorlage für die Arbeit mit unseren Berichtstools. Auch können Sie diese Beispiele auf GitHub erforschen und herunterladen.
By using this website, you agree to the use of cookies for analytics and personalized content. Cookies store useful information on your computer to help us improve efficiency and usability. For more information, please read the privacy policy and cookie policy.